/**
 * Copyright (c) 2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.shell.command;

/**
 * Tool class to fake an execution command.
 * 
 * @author Christophe DENEUX - EBM Websourcing
 * 
 */
public class CommandResult {

    private boolean isExecuted = false;

    private Exception error;

    public void setExecuted(final boolean isExecuted) {
        this.isExecuted = isExecuted;
    }

    public boolean isExecuted() {
        return this.isExecuted;
    }

    public Exception getError() {
        return this.error;
    }

    public void setError(final Exception error) {
        this.error = error;
    }
}